| hoogle | Source code | Contents | Index

Hoogle.Item.Item

Documentation

data Package | Source

Constructors

Package |

packageName :: String |
packageVersion :: String |
haddockURL :: String |
hackageURL :: String |

Instances

Show Package
Typeable Package
BinaryDefer Package

data Module | Source

Constructors

Module |

moduleName :: [String] |

Instances

Show Module
Typeable Module
BinaryDefer Module

data Entry | Source

Constructors

Entry |

entryModule :: Maybe (Link Module) |
entryPackage :: Link Package |
entryName :: String |
entryText :: [EntryText] |
entryType :: EntryType |
entryDocs :: Haddock |
entryTypesig :: Maybe (Defer TypeSig) |

Instances

Show Entry
Typeable Entry
BinaryDefer Entry

data EntryText | Source

Constructors

Keyword String |
Text String |
Focus String |
ArgPos Int String |
ArgRes String |

Instances

Show EntryText
BinaryDefer EntryText

data EntryView | Source

Constructors

FocusOn Range |
ArgPosNum Int Int |

Instances

Show EntryView

data EntryType | Source

Constructors

EntryModule |
EntryPackage |
EntryKeyword |
EntryOther |

Instances

Enum EntryType
Eq EntryType
Show EntryType
BinaryDefer EntryType

data EntryScore | Source

Constructors

EntryScore Int String String [String] |

Instances

Eq EntryScore
Ord EntryScore

entryScore :: Entry -> EntryScore | Source

renderEntryText :: [EntryView] -> [EntryText] -> TagStr | Source

renderFocus :: [Range] -> String -> TagStr | Source

renderTextItem :: TextItem -> [EntryText] | Source

renderTypeSig :: TypeSig -> [EntryText] | Source

Produced by Haddock version 2.4.2